#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xdf653ba6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xaf530ad7, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x495db9aa, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xe8e231e3, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xbd478531, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x2d93a3e4, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xe9558eb1, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x13429f83, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xaa7ea590, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x4e8582f0, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x5e2af91f, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xd51d8559, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x32550d4c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x33c73dda, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x9c1695e0, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x10ab1ceb, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x43bd4dad, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x65b1cf76, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x2c346470, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37c3eb79, "drm_client_register" },
	{ 0xd7a584f3, "try_module_get" },
	{ 0xf6c2af0c, "drm_fb_helper_init" },
	{ 0xef1e7a00, "drm_fb_helper_debug_enter" },
	{ 0x85937451, "ww_mutex_lock_interruptible" },
	{ 0x50fb2ac7, "vmf_insert_pfn" },
	{ 0xc8cecd1e, "vmemmap" },
	{ 0xf8b9dad1, "drm_gem_get_pages" },
	{ 0x31fdca88, "dma_buf_vmap" },
	{ 0x2c773a41, "drm_client_buffer_vmap" },
	{ 0x1232e901, "drm_fb_helper_lastclose" },
	{ 0xe04b1f03, "drm_fb_helper_setcmap" },
	{ 0xd17d353e, "drm_fb_helper_alloc_info" },
	{ 0xa0f9374a, "drm_helper_disable_unused_functions" },
	{ 0xef406cb0, "drm_fb_helper_unprepare" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7036f69e, "drm_fb_helper_fini" },
	{ 0x3d9f9d26, "drm_client_framebuffer_delete" },
	{ 0xdf8297cc, "drm_client_framebuffer_create" },
	{ 0x8d6894b7, "invalidate_mapping_pages" },
	{ 0x60818dfd, "ww_mutex_unlock" },
	{ 0x14589083, "drm_fb_helper_deferred_io" },
	{ 0xa01ce977, "drm_fb_helper_release_info" },
	{ 0xfccb496f, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x17c50468, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xcccb2c4f, "drm_driver_legacy_fb_format" },
	{ 0xc3b004dc, "drm_fb_helper_fill_info" },
	{ 0x96b325f5, "drm_gem_create_mmap_offset" },
	{ 0xe7502408, "fb_deferred_io_init" },
	{ 0xba3439b, "fb_deferred_io_cleanup" },
	{ 0xa05a8d81, "drm_gem_object_init" },
	{ 0x9ef6a2e5, "dev_driver_string" },
	{ 0x48995211, "drm_fb_helper_hotplug_event" },
	{ 0x2526d17f, "fb_sys_write" },
	{ 0xdeb0883a, "sys_imageblit" },
	{ 0x239adbe6, "drm_fb_helper_damage_range" },
	{ 0xadbfc836, "drm_fb_helper_blank" },
	{ 0x235fd46f, "drm_gem_private_object_init" },
	{ 0x4be2fcc0, "drm_fb_helper_check_var" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf27e8c88, "drm_fb_helper_damage_area" },
	{ 0x1379f857, "sys_fillrect" },
	{ 0xfff4d664, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdf1c1fdd, "drm_client_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9c7be8f, "drm_gem_vm_close" },
	{ 0xec37d364, "drm_gem_vm_open" },
	{ 0x66a0cca0, "drm_fb_helper_prepare" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xa9338712, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x3029f0bf, "drm_gem_object_release" },
	{ 0x2a3ab424, "ww_mutex_lock" },
	{ 0xf595d829, "vmap" },
	{ 0xec7795f1, "drm_gem_handle_create" },
	{ 0xad8b7a4d, "drm_gem_fb_get_obj" },
	{ 0x10a5b37a, "__drm_dev_dbg" },
	{ 0x4fccbb30, "drm_prime_pages_to_sg" },
	{ 0x203f61a, "fb_deferred_io_mmap" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x39437bb3, "drm_fb_helper_pan_display" },
	{ 0x172c4ccb, "dma_buf_vunmap" },
	{ 0xa671e73e, "drm_client_release" },
	{ 0x162a4b14, "sys_copyarea" },
	{ 0xe79a9b, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xf3ede7cc, "dma_map_sgtable" },
	{ 0xfad099a3, "drm_gem_free_mmap_offset" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x49605151, "drm_client_buffer_vunmap" },
	{ 0x15565a66, "fb_sys_read" },
	{ 0x5c353b95, "drm_fb_helper_debug_leave" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xb804c267, "dma_unmap_sg_attrs" },
	{ 0x58aa2881, "drm_fb_helper_initial_config" },
	{ 0x64d3c151, "drm_fb_helper_unregister_info" },
	{ 0x5b62a8a, "drm_gem_put_pages" },
	{ 0xdff10980, "drm_gem_private_object_fini" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0xd76b6133, "drm_fb_helper_ioctl" },
	{ 0x3d9012a7, "drm_fb_helper_set_par" },
	{ 0x7c750e53, "drm_prime_gem_destroy" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "5CBE2D0A70DC150E0CC6E9B");
MODULE_INFO(rhelversion, "10.0");
