#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xe6d94575, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xb0104f36, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x1878d25c, "file_f_owner_allocate" },
	{ 0xdb95b319, "fasync_helper" },
	{ 0xa253488b, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x693f1203, "netdev_info" },
	{ 0xaeedc5a0, "netif_carrier_on" },
	{ 0x14e31153, "netif_carrier_off" },
	{ 0x598fc95e, "from_kgid_munged" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2984f680, "from_kuid_munged" },
	{ 0xff182e8, "nla_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x440b1f10, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf4e2b23c, "__skb_get_hash_symmetric_net" },
	{ 0x812bf4bf, "netif_tx_stop_all_queues" },
	{ 0x5bb5d61b, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0x29a62a7f, "rtnl_link_register" },
	{ 0x91652c7e, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdfb7fb37, "misc_deregister" },
	{ 0x441e7973, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x55824b28, "xdp_return_frame" },
	{ 0xac93d346, "sk_skb_reason_drop" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x9dc7369d, "kill_fasync" },
	{ 0x61114954, "bpf_prog_put" },
	{ 0xeb85a460, "sk_alloc" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xd38a1031, "sock_init_data_uid" },
	{ 0x78a7283e, "sk_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x700d3526, "skb_queue_purge_reason" },
	{ 0x6b5365a7, "napi_disable" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbb2a0d62, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8e82914e, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfff4d664, "module_put" },
	{ 0xb24f4d8d, "skb_copy_datagram_iter" },
	{ 0x1319490e, "_copy_to_iter" },
	{ 0x1901b517, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x86d1a7, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x4786727f, "build_skb" },
	{ 0xfa5e7472, "skb_put" },
	{ 0xf4d64105, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x8267aa7, "netdev_core_stats_inc" },
	{ 0xf7986ba0, "security_tun_dev_attach" },
	{ 0xc38b51be, "xdp_rxq_info_is_reg" },
	{ 0x30471a03, "netif_set_real_num_tx_queues" },
	{ 0xe9d0d5b5, "netif_set_real_num_rx_queues" },
	{ 0xa0772998, "lock_sock_nested" },
	{ 0x44997c37, "sk_attach_filter" },
	{ 0xba8627e6, "release_sock" },
	{ 0xada5cf6f, "__xdp_rxq_info_reg" },
	{ 0x5ca1230a, "xdp_rxq_info_reg_mem_model" },
	{ 0x1ce93e0b, "napi_enable" },
	{ 0x664ccfff, "netif_napi_add_weight" },
	{ 0xa94a89b2, "__dev_get_by_name" },
	{ 0x23e5de1f, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x9fc2768e, "netdev_state_change" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x3c100c3b, "alloc_netdev_mqs" },
	{ 0x8e16ee19, "ip_tunnel_header_ops" },
	{ 0x59fa7f0, "register_netdevice" },
	{ 0x7e5ca80c, "netif_tx_wake_queue" },
	{ 0x1cea9b8f, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x4ce4c51a, "dev_addr_mod" },
	{ 0x6b016dea, "free_netdev" },
	{ 0x16a2467b, "napi_gro_receive" },
	{ 0xb42df57a, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xa9577327, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x87b0c021, "__skb_flow_dissect" },
	{ 0x772d6d2, "skb_partial_csum_set" },
	{ 0x6e5c3edf, "__pskb_pull_tail" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x149ec9db, "sk_filter_trim_cap" },
	{ 0xa3e58c88, "skb_clone_tx_timestamp" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x8ace316c, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x41e61117, "skb_tstamp_tx" },
	{ 0x70993ea3, "skb_copy_ubufs" },
	{ 0xad88a82f, "___pskb_trim" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfa4d887c, "seq_printf" },
	{ 0xb686ec68, "xdp_do_redirect" },
	{ 0x4d37c45a, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf165080, "__traceiter_xdp_exception" },
	{ 0xdcf0929b, "xdp_return_frame_rx_napi" },
	{ 0x5d6f90f8, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x4ae5c0c7, "napi_get_frags" },
	{ 0xadd156ad, "iov_iter_single_seg_count" },
	{ 0x6d2fab28, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xc8cecd1e, "vmemmap" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xaa20a8c8, "bpf_prog_get_type_dev" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0xca7002e9, "skb_page_frag_refill" },
	{ 0xbcfe5621, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x163265cc, "xdp_master_redirect" },
	{ 0x949d8eab, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9697f7ee, "unregister_netdevice_queue" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xdca95612, "net_hotdata" },
	{ 0x10f1f1eb, "sock_recv_errqueue" },
	{ 0xa84c6837, "eth_type_trans" },
	{ 0x6984a859, "do_xdp_generic" },
	{ 0xc67cde80, "netif_receive_skb" },
	{ 0x5f9a35c5, "__page_frag_cache_drain" },
	{ 0x3f30e428, "_copy_from_iter" },
	{ 0xa3e28a5d, "iov_iter_npages" },
	{ 0xce4d4dc6, "sock_alloc_send_pskb" },
	{ 0x400d8cb4, "zerocopy_sg_from_iter" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb22336fd, "skb_copy_datagram_from_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x6b9f4059, "napi_schedule_prep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37aae5cc, "iov_iter_revert" },
	{ 0x53bd2696, "skb_push" },
	{ 0x56d96455, "eth_get_headlen" },
	{ 0x7542da1b, "napi_gro_frags" },
	{ 0x6e1aeef0, "__napi_schedule" },
	{ 0x572eaf70, "get_net_ns" },
	{ 0xd503dc69, "open_related_ns" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xe426c23c, "make_kgid" },
	{ 0xb456752b, "sk_detach_filter" },
	{ 0x3fe7d319, "make_kuid" },
	{ 0xff2d4053, "init_user_ns" },
	{ 0x40e2002c, "from_kuid" },
	{ 0xaa6e0ea3, "netdev_update_features" },
	{ 0x7ddf2e40, "dev_get_mac_address" },
	{ 0xdabb6ff6, "dev_set_mac_address_user" },
	{ 0x4dc1aa33, "call_netdevice_notifiers" },
	{ 0xac9bb376, "__module_get" },
	{ 0xe33c4e78, "from_kgid" },
	{ 0xdbe7a6fd, "ethtool_op_get_link" },
	{ 0x4d81e928, "ethtool_op_get_ts_info" },
	{ 0xd737fed5, "passthru_features_check" },
	{ 0x2771652e, "eth_mac_addr" },
	{ 0x30772980, "eth_validate_addr" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FD27A74E873A31B3D1E67AA");
MODULE_INFO(rhelversion, "10.0");
