#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x7bdd6213, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65e624a7, "nvme_remove_admin_tag_set" },
	{ 0x4daf0efa, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xc8cecd1e, "vmemmap" },
	{ 0xf53f5414, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x867f501a, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34d912fd, "nvmf_free_options" },
	{ 0x3d4a8793, "nvmf_subsystem_reset" },
	{ 0x73b4969f, "blk_mq_tagset_wait_completed_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x16fc5f55, "nvme_stop_keep_alive" },
	{ 0xd723f37e, "blk_mq_complete_request_remote" },
	{ 0x4953d090, "dma_unmap_page_attrs" },
	{ 0xd1074ade, "nvme_setup_cmd" },
	{ 0x6187ccb2, "nvme_start_ctrl" },
	{ 0xc75cd66, "nvme_alloc_admin_tag_set" },
	{ 0xd95e340f, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x2f7f3555, "nvmf_reg_read32" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7ee13b49, "nvme_delete_ctrl" },
	{ 0x1989926e, "get_device" },
	{ 0x9ef6a2e5, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xa3741d8d, "nvmf_get_address" },
	{ 0x4a029168, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x6bea101c, "nvme_remove_io_tag_set" },
	{ 0x9db8a91d, "nvme_cleanup_cmd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x860df11d, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd14a4369, "nvmf_unregister_transport" },
	{ 0xd54889e1, "blkcg_get_fc_appid" },
	{ 0x8a8ac069, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe7286d55, "nvme_change_ctrl_state" },
	{ 0x3786f076, "_dev_info" },
	{ 0x9576d7e2, "nvme_init_ctrl" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x3929f5fb, "nvme_alloc_io_tag_set" },
	{ 0x644bf1d6, "nvme_fail_nonready_command" },
	{ 0xe18b76cf, "kobject_uevent_env" },
	{ 0x48abcd4c, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa9338712, "_dev_err" },
	{ 0x8106c978, "device_create" },
	{ 0xfd4b1c03, "blk_sync_queue" },
	{ 0x85abc85f, "strncmp" },
	{ 0x48e5eb7b, "blkcg_set_fc_appid" },
	{ 0x43fc136e, "__blk_rq_map_sg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xcb291a59, "nvmf_reg_read64" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x51fdf1b0, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x1723aaad, "nvmf_connect_admin_queue" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x291afcf9, "nvme_enable_ctrl" },
	{ 0x96ba2730, "nvme_unquiesce_admin_queue" },
	{ 0x109c4914, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xcfbe038f, "nvme_unquiesce_io_queues" },
	{ 0x2a7c93e8, "blk_mq_update_nr_hw_queues" },
	{ 0x5456cc35, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47669e21, "nvmf_should_reconnect" },
	{ 0xc6e7ffe7, "__dma_sync_single_for_device" },
	{ 0xeeb47e1a, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x37d7cf20, "device_destroy" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0x121dd3e4, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xfa6fd866, "nvmf_register_transport" },
	{ 0x3aea8296, "blk_mq_start_request" },
	{ 0x7ca9b290, "nvme_quiesce_io_queues" },
	{ 0x17a20f60, "blk_mq_tagset_busy_iter" },
	{ 0x40d32e36, "nvme_stop_ctrl" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xb804c267, "dma_unmap_sg_attrs" },
	{ 0x47a8af67, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x67bddb67, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xe78619a3, "nvme_quiesce_admin_queue" },
	{ 0x468c9489, "class_register" },
	{ 0xbfe2e810, "__nvme_check_ready" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0x190b0a9d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xafafa0a9, "nvme_add_ctrl" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "6831F7245FC8D826C95795C");
MODULE_INFO(rhelversion, "10.0");
