#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x115ae9f9, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x7973bd90, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x44fc830b, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xc0fc2034, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x8b0dfe4a, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xf4c6a088, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x4c058aec, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xf8955d24, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x8508d8da, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x2ee02812, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x7f213bbd, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x9be9f71a, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xb2d63203, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xdec76882, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xbc4d31ee, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xee100680, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x4b23badf, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x1913fab7, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x24f2899e, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x9d4f1bda, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x075867f8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0xb28ee7df, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0x444a0c8e, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x033061b4, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x7dd7dc6d, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x4aaa58fe, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0xded2f9df, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x8e97aa34, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x33b52d05, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0x7810f373, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27bafe0e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x50fb2ac7, "vmf_insert_pfn" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x88342927, "pci_read_vpd" },
	{ 0xa6aa70c1, "bus_unregister_notifier" },
	{ 0xbd531ca0, "pci_request_selected_regions" },
	{ 0xedd173c3, "pci_release_selected_regions" },
	{ 0x5199cf5f, "pci_user_write_config_byte" },
	{ 0xab2ea315, "pci_enable_device" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa49c986b, "pci_bus_max_busnr" },
	{ 0xe1711467, "pci_check_and_mask_intx" },
	{ 0xda58f59, "pci_iomap" },
	{ 0x4232a0c3, "vfio_info_cap_shift" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xba856faf, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaf8a4a7f, "vfio_set_irqs_validate_and_prepare" },
	{ 0xb788293c, "pci_enable_atomic_ops_to_root" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x431c3171, "pci_dev_put" },
	{ 0x4c31fea0, "iommu_group_get" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xb94c474b, "vfio_virqfd_disable" },
	{ 0x34159095, "vfio_iommufd_get_dev_id" },
	{ 0x236fc51, "fget" },
	{ 0xe71a09d1, "pci_num_vf" },
	{ 0x236c8c64, "memcpy" },
	{ 0xfccb496f, "unmap_mapping_range" },
	{ 0xb2c899a8, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x9bb34dd1, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x33bcc6e2, "pci_probe_reset_bus" },
	{ 0xdc9a5dcc, "pci_probe_reset_slot" },
	{ 0xa038dec, "pci_set_power_state" },
	{ 0x75787304, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x9a90b46a, "__dynamic_dev_dbg" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x70c7afb9, "pci_read_config_dword" },
	{ 0x1938240c, "pci_domain_nr" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x471aace8, "pci_intx" },
	{ 0xc7480574, "pci_user_write_config_word" },
	{ 0xfbf14e29, "vfio_iommufd_device_ictx" },
	{ 0xb5e72d00, "bus_register_notifier" },
	{ 0x3786f076, "_dev_info" },
	{ 0x9d9fa271, "vfio_file_is_group" },
	{ 0xd51d0983, "pci_msix_can_alloc_dyn" },
	{ 0xf4660054, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x82e60453, "pci_clear_master" },
	{ 0xd80562f7, "__pci_reset_function_locked" },
	{ 0x5d5503af, "zpci_kvm_hook" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x2f40dac9, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xcda85356, "pci_write_vpd" },
	{ 0x30a50d79, "vfio_virqfd_enable" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x116619e6, "pci_read_config_word" },
	{ 0x85abc85f, "strncmp" },
	{ 0x2fb07535, "vfio_unregister_group_dev" },
	{ 0xfa1dbb29, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x5ba924b0, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0x55d4486, "pci_iounmap" },
	{ 0x1ac487ec, "pci_restore_state" },
	{ 0x109c4914, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5aeb4459, "pcie_get_mps" },
	{ 0x51a5a9eb, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x103bafd6, "down_read" },
	{ 0xf3411eb8, "vfio_info_add_capability" },
	{ 0xca491524, "pci_dev_driver" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xfe2c2336, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x4787553f, "_dev_notice" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xcc77fc68, "pci_reset_bus" },
	{ 0x56858fc2, "vfio_register_group_dev" },
	{ 0x208475a4, "vfio_assign_device_set" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x700e84f, "pci_user_read_config_byte" },
	{ 0x5551babe, "pci_try_reset_function" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xa975ca23, "pci_get_class" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0xab511119, "pci_user_write_config_dword" },
	{ 0xdf8d051a, "pcie_capability_read_dword" },
	{ 0x3339142c, "pci_load_and_free_saved_state" },
	{ 0xa6884423, "pci_disable_sriov" },
	{ 0xc6984055, "vfio_device_set_open_count" },
	{ 0x63dee2bc, "pci_disable_device" },
	{ 0x4a645d93, "pci_match_id" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x878875ac, "pci_check_and_unmask_intx" },
	{ 0x53f5b4c6, "pcie_set_readrq" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdb0d6ea3, "pci_walk_bus" },
	{ 0x9e889c8d, "pci_msix_alloc_irq_at" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x99fe6f76, "pci_unmap_rom" },
	{ 0xa23d5be5, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x9d6e40cc, "pci_dev_unlock" },
	{ 0xe77c8006, "pci_write_config_word" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x96d9238e, "pci_free_irq_vectors" },
	{ 0x3b9f5dc8, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x238a0abb, "vfio_virqfd_flush_thread" },
	{ 0xad383d02, "pci_bus_type" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "70BA7B04AD07A78AA7F5D7E");
MODULE_INFO(rhelversion, "10.0");
