#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x00f96cc9, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xc7ca7dfc, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x870bebef, "_gpl");
SYMBOL_CRC(fat_scan, 0x6458236e, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x2856b1a6, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x849a83b1, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x091757fa, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xafcd48ec, "_gpl");
SYMBOL_CRC(fat_getattr, 0xf7e85897, "_gpl");
SYMBOL_CRC(fat_setattr, 0x681ac5a8, "_gpl");
SYMBOL_CRC(fat_attach, 0x3ef0fd7c, "_gpl");
SYMBOL_CRC(fat_detach, 0xdeeecbc7, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x5ef94c4a, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x05da3db8, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xe27e9e28, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x9f5649af, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xfe39b214, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x69185153, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x3a670e99, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x67fdf348, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xad366090, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x8997b95d, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x778a4296, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xce2f697b, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x89d0982e, "_gpl");
SYMBOL_CRC(fat_update_time, 0x631ac53e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f4ecf2e, "filemap_fdatawrite" },
	{ 0x8c923860, "generic_fillattr" },
	{ 0x4e069ed9, "setattr_prepare" },
	{ 0xd87c04ac, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7a338424, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe5b2ae78, "make_vfsgid" },
	{ 0x7fb3ef4d, "blk_start_plug" },
	{ 0x204a54f3, "clear_inode" },
	{ 0x224bd1ed, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x59d356e7, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x34b0d2, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x9240195c, "mark_buffer_dirty" },
	{ 0x624a07df, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x4076db0c, "__find_get_block" },
	{ 0x2f1b1c6a, "filemap_fdatawrite_range" },
	{ 0x59977b23, "inode_needs_sync" },
	{ 0x4ec2f97f, "__blockdev_direct_IO" },
	{ 0xd5a2d5, "d_make_root" },
	{ 0x9c434f68, "__bforget" },
	{ 0xa769ca91, "sb_set_blocksize" },
	{ 0xc1f0aab3, "block_truncate_page" },
	{ 0x3f4444e6, "write_dirty_buffer" },
	{ 0x5e91e07b, "sync_filesystem" },
	{ 0x81b4c0b6, "fsnotify" },
	{ 0xb19ef29b, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x351e1042, "from_vfsuid" },
	{ 0x77f020d, "inode_dio_wait" },
	{ 0x8c07194c, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1801389, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe7921a48, "iput" },
	{ 0x9ede8158, "fs_param_is_enum" },
	{ 0x133dda4e, "fs_param_is_s32" },
	{ 0xe5dd2812, "iter_file_splice_write" },
	{ 0x9ce82dca, "fs_param_is_bool" },
	{ 0x51d9613c, "generic_file_write_iter" },
	{ 0x7b725503, "sync_inode_metadata" },
	{ 0xa95b072e, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x36568592, "fs_param_is_u32" },
	{ 0x3bf1f81c, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x7acd1ff5, "block_invalidate_folio" },
	{ 0xcbc5ef59, "__breadahead" },
	{ 0x72a44416, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x450e6437, "load_nls" },
	{ 0x5a212b72, "generic_cont_expand_simple" },
	{ 0xa4c5e808, "truncate_inode_pages_final" },
	{ 0x49c0694a, "generic_file_mmap" },
	{ 0xa48f082d, "sync_mapping_buffers" },
	{ 0x1a48fbd2, "ilookup" },
	{ 0x72abcbce, "invalidate_inode_buffers" },
	{ 0xbcadeb8f, "blk_finish_plug" },
	{ 0x69373405, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc9e308a9, "mnt_drop_write_file" },
	{ 0x418c4b32, "fs_param_is_gid" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xbf47a4a1, "inode_init_once" },
	{ 0x86210931, "compat_ptr_ioctl" },
	{ 0x18d9472c, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x40ccf2bc, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x2debdae3, "generic_file_read_iter" },
	{ 0xed6508cb, "inode_maybe_inc_iversion" },
	{ 0x400aaf9a, "truncate_pagecache" },
	{ 0xb8754567, "sync_dirty_buffer" },
	{ 0x4b095d91, "setattr_copy" },
	{ 0xd25b167, "__wait_on_buffer" },
	{ 0x8c482d41, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6cb95afb, "kmem_cache_alloc_lru_noprof" },
	{ 0x8a370b46, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x15f6c01f, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2aeb2956, "from_vfsgid" },
	{ 0x2bad0049, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xa3bd5984, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x90d49de5, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xfcfcb3c5, "block_dirty_folio" },
	{ 0x852c57da, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x612737bc, "__insert_inode_hash" },
	{ 0xbb6e7396, "buffer_migrate_folio" },
	{ 0x975bb79e, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x84f5bd21, "__kmem_cache_create_args" },
	{ 0x598fc95e, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x71a22319, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd267dcdf, "generic_encode_ino32_fh" },
	{ 0x680bed2e, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x371271e4, "igrab" },
	{ 0xfb624c80, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xcd5379e0, "mpage_readahead" },
	{ 0x12e2d7ef, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xff2d4053, "init_user_ns" },
	{ 0x155b2c9f, "seq_write" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0xfa4d887c, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xa88443dc, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x38ca4cef, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x822da9d4, "generic_fh_to_parent" },
	{ 0xecefc5aa, "__fs_parse" },
	{ 0xcd78c6f2, "filemap_splice_read" },
	{ 0x2984f680, "from_kuid_munged" },
	{ 0x5347be53, "__generic_file_fsync" },
	{ 0xc066a618, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xdafe888f, "__mark_inode_dirty" },
	{ 0xa67b0304, "generic_file_llseek" },
	{ 0x785c6f9e, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0xcc7f065f, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x5e62747f, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0xbb9cd426, "fs_param_is_uid" },
	{ 0x6549e984, "kmem_cache_destroy" },
	{ 0xcd4dea49, "blkdev_issue_discard" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BBCB43EF6FD213BAB3E9C8");
MODULE_INFO(rhelversion, "10.0");
