#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_read_subreq_progress, "", "");
KSYMTAB_FUNC(netfs_read_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0xaf5cb9fe, "");
SYMBOL_CRC(netfs_read_folio, 0xa313aa3f, "");
SYMBOL_CRC(netfs_write_begin, 0x34fdf57c, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0x825fd15e, "");
SYMBOL_CRC(netfs_file_read_iter, 0xb534e4c7, "");
SYMBOL_CRC(netfs_perform_write, 0xd5ba6aab, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x541be40c, "");
SYMBOL_CRC(netfs_file_write_iter, 0xfd1a47ea, "");
SYMBOL_CRC(netfs_page_mkwrite, 0xd6b6a523, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0xd9863d7a, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0xec885a2d, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0xe8d32406, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0xbd9cf032, "");
SYMBOL_CRC(netfs_extract_user_iter, 0xd90d1149, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x583bc29e, "");
SYMBOL_CRC(netfs_start_io_read, 0xd0fe4a9a, "");
SYMBOL_CRC(netfs_end_io_read, 0xf63c4a62, "");
SYMBOL_CRC(netfs_start_io_write, 0x594e9c95, "");
SYMBOL_CRC(netfs_end_io_write, 0xea0e24bb, "");
SYMBOL_CRC(netfs_start_io_direct, 0xe752cc13, "");
SYMBOL_CRC(netfs_end_io_direct, 0x3b378164, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xd244949f, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xc463984b, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x895d0b7f, "");
SYMBOL_CRC(netfs_dirty_folio, 0xc2a0e1b5, "");
SYMBOL_CRC(netfs_unpin_writeback, 0x817ce9f8, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0xe474a9e9, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xc17e804f, "");
SYMBOL_CRC(netfs_release_folio, 0xa93f00b6, "");
SYMBOL_CRC(netfs_read_subreq_progress, 0x1389b636, "");
SYMBOL_CRC(netfs_read_subreq_terminated, 0xbce9c516, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x50b9b4e5, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0x5a755642, "");
SYMBOL_CRC(netfs_writepages, 0x58075960, "");
SYMBOL_CRC(netfs_stats_show, 0xd9ea0cc2, "");
SYMBOL_CRC(fscache_addremove_sem, 0xf68b44dc, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xff20eabd, "");
SYMBOL_CRC(fscache_acquire_cache, 0xd610fb10, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xf80d6986, "");
SYMBOL_CRC(fscache_add_cache, 0x5214a95e, "");
SYMBOL_CRC(fscache_io_error, 0xc72844b4, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xf4fcf602, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xd7222dfd, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x8305c19b, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xffb9d386, "");
SYMBOL_CRC(fscache_caching_failed, 0x7b934286, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xc9316e03, "");
SYMBOL_CRC(__fscache_use_cookie, 0x202b9b34, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xf41e87b8, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x96c63887, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x5cd169d2, "");
SYMBOL_CRC(fscache_put_cookie, 0x8183aa82, "");
SYMBOL_CRC(fscache_get_cookie, 0x58009a7a, "");
SYMBOL_CRC(__fscache_invalidate, 0xb1c4cd7d, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x1258f3b3, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x4339df29, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x7690a832, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xd8372117, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xb5e2b9e7, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x61addee7, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x614b6259, "");
SYMBOL_CRC(fscache_end_volume_access, 0xc6f7bede, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x66f529bc, "");
SYMBOL_CRC(fscache_put_volume, 0xdd4299d1, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x422680a8, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x17a52710, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd09c7bac, "vfs_fsync_range" },
	{ 0x5c74996f, "wbc_detach_inode" },
	{ 0xc8cecd1e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe2d69952, "bpf_trace_run4" },
	{ 0x2c196441, "kiocb_write_and_wait" },
	{ 0x7ac77d62, "param_ops_uint" },
	{ 0xce78f52b, "filemap_range_has_page" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x45c9484, "__folio_batch_release" },
	{ 0x491a6233, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74b3fb14, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe6f20de1, "__trace_trigger_soft_disabled" },
	{ 0x2f1b1c6a, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1901b517, "iov_iter_advance" },
	{ 0x6150690a, "trace_event_printf" },
	{ 0x519d9222, "xas_find" },
	{ 0xf452dd5a, "folio_redirty_for_writepage" },
	{ 0x5cfce382, "iov_iter_folio_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x3db24d37, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xfccb496f, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xe39e6377, "invalidate_inode_pages2_range" },
	{ 0x6ad6cb48, "wbc_attach_and_unlock_inode" },
	{ 0xd9752a70, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xac7b999c, "remove_proc_subtree" },
	{ 0x3d0b872, "folio_clear_dirty_for_io" },
	{ 0x6f79375c, "mempool_free" },
	{ 0xfa0199bc, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7037f8e, "__filemap_set_wb_err" },
	{ 0xe5667304, "__filemap_get_folio" },
	{ 0x7e5dd7da, "filemap_invalidate_inode" },
	{ 0x69393067, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12b8dcc2, "iov_iter_extract_pages" },
	{ 0x3eb910f7, "copy_page_from_iter_atomic" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x54703cae, "__folio_swap_cache_index" },
	{ 0x1bd36257, "folio_wait_private_2" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x92723ed5, "kmem_cache_size" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x8188a759, "readahead_expand" },
	{ 0x2b767a84, "__inode_attach_wb" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xe20d2472, "__folio_lock_killable" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe0f6bfa1, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x1ef60631, "bpf_trace_run5" },
	{ 0x7b6887ff, "inode_dio_finished" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb180c7f1, "file_update_time" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8a370b46, "kmem_cache_free" },
	{ 0xfceed2ca, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x37694731, "trace_event_reg" },
	{ 0x8e3fc665, "file_remove_privs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x60f47fe4, "__folio_start_writeback" },
	{ 0x5b9fd5ef, "bpf_trace_run1" },
	{ 0xaa9432b9, "folio_end_writeback" },
	{ 0xcc62f79a, "folio_alloc_noprof" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0x33857cb, "proc_mkdir" },
	{ 0xd2a94776, "inode_dio_wait_interruptible" },
	{ 0xbaf4acfb, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf41f1bf5, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x975bb79e, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x69add4cd, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x84f5bd21, "__kmem_cache_create_args" },
	{ 0xa025152b, "writeback_iter" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0xcb69f590, "set_page_dirty" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x42dc94ac, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xbed21eac, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0x12e2d7ef, "filemap_fdatawait_range" },
	{ 0x155b2c9f, "seq_write" },
	{ 0x949d8eab, "__folio_put" },
	{ 0x2148d75b, "remove_proc_entry" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa4d887c, "seq_printf" },
	{ 0x8f90785f, "iov_iter_zero" },
	{ 0x24feaaa8, "touch_atime" },
	{ 0x7b5c2980, "filemap_read" },
	{ 0xf6e1549, "__percpu_down_read" },
	{ 0x6c024e62, "balance_dirty_pages_ratelimited_flags" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0x46a22f8a, "filemap_dirty_folio" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xec5ec2ab, "rcuwait_wake_up" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x7155430e, "iov_iter_xarray" },
	{ 0xa1cc1851, "proc_create_single_data" },
	{ 0x573c7192, "filemap_write_and_wait_range" },
	{ 0x4adfede5, "folio_wait_writeback_killable" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x4ecb504e, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb88aba0, "generic_write_checks" },
	{ 0x37aae5cc, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xec3b98db, "proc_create_seq_private" },
	{ 0xea12f289, "folio_wait_private_2_killable" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3e28a5d, "iov_iter_npages" },
	{ 0xa9e55057, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0x6549e984, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1BE1526A643132D485D5661");
MODULE_INFO(rhelversion, "10.0");
