#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0xa7efa9f7, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0xd9986856, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0x772b2585, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x980aa77b, "icmp6_send" },
	{ 0x99a8a21, "skb_copy_bits" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x20529008, "inet_frag_queue_insert" },
	{ 0x6dd222bd, "inet_frags_init" },
	{ 0x2dbe4146, "inet_frag_pull_head" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x58a06799, "register_pernet_subsys" },
	{ 0x4ae59f5, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0x2facc9c2, "inet_frag_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6d8703a6, "ipv6_skip_exthdr" },
	{ 0x6c2962a8, "inet_frag_reasm_finish" },
	{ 0x8607e9d6, "nf_register_net_hooks" },
	{ 0xa615fe15, "fqdir_init" },
	{ 0x16c249da, "init_net" },
	{ 0xac93d346, "sk_skb_reason_drop" },
	{ 0x47ad681c, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb384cb87, "inet_frags_fini" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xafbf2fff, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x62630bec, "nf_defrag_v6_hook" },
	{ 0x4685c0f4, "unregister_pernet_subsys" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x6e5c3edf, "__pskb_pull_tail" },
	{ 0x99dbea3e, "inet_frag_reasm_prepare" },
	{ 0x454a332d, "inet_frag_find" },
	{ 0x453fe0a3, "fqdir_exit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x14812469, "dst_release" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0x95ae09f3, "pskb_trim_rcsum_slow" },
	{ 0x93f1e5f8, "inet_frag_kill" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C93075937F04606145EA2D");
MODULE_INFO(rhelversion, "10.0");
