#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x0fbea718, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xd4ef38ef, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xa25224c1, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x38ea98f5, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x95073446, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x556ab4f5, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x33712699, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x3f5c360b, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x27b947a1, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x3f1064ed, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xecdda624, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x5e5d9ee4, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x60776722, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x791f7070, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x36ad20e1, "");
SYMBOL_CRC(nf_nat_follow_master, 0x6064bd50, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x321a41c3, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xcd0c0b0f, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x4176c00d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xc7f319df, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x449bc460, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x7b126a7a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5626170, "nf_ct_ext_add" },
	{ 0x7167cc1c, "__do_once_done" },
	{ 0xc57e0daa, "nf_conntrack_find_get" },
	{ 0xd7a584f3, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8459b0f3, "nf_ip6_checksum" },
	{ 0x99a8a21, "skb_copy_bits" },
	{ 0x4b89cfb8, "nf_hook_entries_insert_raw" },
	{ 0xb32a9275, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x77a6c10b, "nf_ct_seqadj_set" },
	{ 0xfa5e7472, "skb_put" },
	{ 0xb1b03875, "kmemdup_array" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ef1db80, "nf_ct_helper_expectfn_unregister" },
	{ 0xa9b683cf, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6b6278d0, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x5a9e5020, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x6d2fab28, "pskb_expand_head" },
	{ 0x58a06799, "register_pernet_subsys" },
	{ 0xd870a027, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xff0fe369, "nf_ct_iterate_cleanup_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6d8703a6, "ipv6_skip_exthdr" },
	{ 0x8607e9d6, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xfff4d664, "module_put" },
	{ 0x9d4bd1b4, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x3fe9d8f1, "nf_ct_expect_related_report" },
	{ 0x18eac72c, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x1f87e24, "nf_hook_entries_delete_raw" },
	{ 0xe74c4084, "skb_ensure_writable" },
	{ 0xafbf2fff, "nf_unregister_net_hooks" },
	{ 0x3a7b2c1, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x4685c0f4, "unregister_pernet_subsys" },
	{ 0xcdf5b663, "skb_checksum" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2741e705, "nf_ct_delete" },
	{ 0xdbcd3286, "nf_ip_checksum" },
	{ 0x2fc9b9ef, "register_btf_kfunc_id_set" },
	{ 0x49cf4003, "nf_ct_iterate_destroy" },
	{ 0x2014a246, "__siphash_unaligned" },
	{ 0x27110b2, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ffbeb05, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x433e35f, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x8888aaba, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0x14812469, "dst_release" },
	{ 0x6957e1a4, "nf_ct_l4proto_find" },
	{ 0x16871c74, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x458cc670, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "19CF7585437ADCF3A3CFEED");
MODULE_INFO(rhelversion, "10.0");
