#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x7817438a, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x372ed804, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x2d9220a3, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x6a1df763, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xf4d1b250, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xc82a98a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5626170, "nf_ct_ext_add" },
	{ 0x67b078b4, "nsh_pop" },
	{ 0xc57e0daa, "nf_conntrack_find_get" },
	{ 0x6ed01aa7, "nf_ct_set_timeout" },
	{ 0xd93736a9, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0xd7a584f3, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xda10ee70, "dev_fill_metadata_dst" },
	{ 0xe2d69952, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x99a8a21, "skb_copy_bits" },
	{ 0x5fb32292, "nf_ct_handle_fragments" },
	{ 0x2771652e, "eth_mac_addr" },
	{ 0xfa5e7472, "skb_put" },
	{ 0x40067fb, "genl_notify" },
	{ 0x216806d8, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa9577327, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7b126a7a, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfb1b28a4, "skb_eth_pop" },
	{ 0x74b3fb14, "trace_raw_output_prep" },
	{ 0xe5d09abe, "skb_gso_validate_mac_len" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x6be3d7bb, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x36f45774, "nf_ct_helper" },
	{ 0xe6f20de1, "__trace_trigger_soft_disabled" },
	{ 0xe270a4df, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6150690a, "trace_event_printf" },
	{ 0xcaaf2aaa, "rtnl_delete_link" },
	{ 0x29a62a7f, "rtnl_link_register" },
	{ 0x878add5f, "nf_connlabels_put" },
	{ 0xa0ef3a0d, "genlmsg_put" },
	{ 0xad88a82f, "___pskb_trim" },
	{ 0x3db24d37, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x74bcf7b, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x86c9071c, "dev_set_promiscuity" },
	{ 0xc984738b, "nf_ct_destroy_timeout" },
	{ 0xf0b37758, "nf_ct_add_helper" },
	{ 0x517a8675, "nf_conntrack_helper_put" },
	{ 0xda42277c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc8c0f0ef, "nf_ct_skb_network_trim" },
	{ 0x9697f7ee, "unregister_netdevice_queue" },
	{ 0xbd710c07, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x1cea9b8f, "ether_setup" },
	{ 0x9a598886, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x6d2fab28, "pskb_expand_head" },
	{ 0x469cf688, "skb_csum_hwoffload_help" },
	{ 0xfa0199bc, "trace_event_buffer_commit" },
	{ 0x4ce4c51a, "dev_addr_mod" },
	{ 0x575e6373, "nf_connlabels_replace" },
	{ 0xa84c6837, "eth_type_trans" },
	{ 0x3c100c3b, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8adcf9e5, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xd84cfe40, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa457177e, "skb_eth_push" },
	{ 0x510dda6f, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x821e0734, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xae90f22c, "skb_mpls_pop" },
	{ 0xbdb9bb12, "skb_vlan_pop" },
	{ 0x71d2a49d, "dst_init" },
	{ 0xfff4d664, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0x8e992dbf, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x441e7973, "rtnl_link_unregister" },
	{ 0xe0f6bfa1, "perf_trace_run_bpf_submit" },
	{ 0x16c249da, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0xac2b95f0, "ipv6_stub" },
	{ 0xb2452de, "skb_mpls_update_lse" },
	{ 0x5d73b3e7, "skb_pull" },
	{ 0xf4e2b23c, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xac93d346, "sk_skb_reason_drop" },
	{ 0x9015ba3e, "netlink_unicast" },
	{ 0x1ef60631, "bpf_trace_run5" },
	{ 0x47ad681c, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x53bd2696, "skb_push" },
	{ 0x8a370b46, "kmem_cache_free" },
	{ 0x882457f9, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x37694731, "trace_event_reg" },
	{ 0xe74c4084, "skb_ensure_writable" },
	{ 0x6b016dea, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd1302643, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xb955d451, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdbe7a6fd, "ethtool_op_get_link" },
	{ 0x982f2750, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xc1edbefe, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x975bb79e, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6e5c3edf, "__pskb_pull_tail" },
	{ 0x2741e705, "nf_ct_delete" },
	{ 0xc9bc8fed, "nf_conncount_init" },
	{ 0xc25f1432, "skb_vlan_push" },
	{ 0x478316fb, "netif_rx" },
	{ 0xa94a77a9, "__netdev_alloc_skb" },
	{ 0x84f5bd21, "__kmem_cache_create_args" },
	{ 0xa1874de1, "netdev_master_upper_dev_link" },
	{ 0x67ccd8d1, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x27110b2, "inet_proto_csum_replace16" },
	{ 0x23a455, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xed0f0c95, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xc37be72, "nf_ct_deliver_cached_events" },
	{ 0x972a4e0a, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x8ace316c, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7b9e1e46, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xbed21eac, "trace_event_buffer_reserve" },
	{ 0x433e35f, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8888aaba, "inet_proto_csum_replace4" },
	{ 0xd22606a5, "nf_conncount_destroy" },
	{ 0x18488d02, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0xace9575a, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfa68ad8c, "dev_get_by_name" },
	{ 0x74702b91, "skb_clone" },
	{ 0x546a90eb, "metadata_dst_alloc" },
	{ 0x14812469, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x72be601a, "peernet2id_alloc" },
	{ 0x66170854, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb201e5b0, "netdev_rx_handler_register" },
	{ 0x66f5c80e, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x563b6645, "genl_unregister_family" },
	{ 0xb1a1329, "dev_disable_lro" },
	{ 0xe962bdbb, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x28412c56, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x40a24bb0, "genl_register_family" },
	{ 0x7bc518b7, "nf_ct_tmpl_free" },
	{ 0xf3f66a1, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xe0bf8e4c, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x841d9bf9, "skb_mpls_push" },
	{ 0xa770733c, "register_pernet_device" },
	{ 0x955f0a27, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6549e984, "kmem_cache_destroy" },
	{ 0x20921370, "__skb_vlan_pop" },
	{ 0x84f06fad, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x59fa7f0, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "9F186443EAE7E09484519AC");
MODULE_INFO(rhelversion, "10.0");
