#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xe0d66e74, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xc2b2d8e6, "_gpl");
SYMBOL_CRC(tls_get_record, 0x02272b64, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x50c10047, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x04595a02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46d018d0, "sk_msg_free" },
	{ 0x462da8c9, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc8cecd1e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x84082513, "tcp_read_sock" },
	{ 0xe2d69952, "bpf_trace_run4" },
	{ 0x99a8a21, "skb_copy_bits" },
	{ 0xa8bbe290, "sk_page_frag_refill" },
	{ 0xfa5e7472, "skb_put" },
	{ 0xe83e53df, "tcp_sendmsg_locked" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa9577327, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74b3fb14, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xeefb2cf, "sk_psock_msg_verdict" },
	{ 0xb6860b9, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xe6f20de1, "__trace_trigger_soft_disabled" },
	{ 0x6150690a, "trace_event_printf" },
	{ 0x50f7309f, "iov_iter_get_pages2" },
	{ 0xad88a82f, "___pskb_trim" },
	{ 0x3db24d37, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x4f0e2015, "clean_acked_data_enable" },
	{ 0xa732f636, "skb_splice_bits" },
	{ 0x7138fbcf, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x95599374, "crypto_aead_setauthsize" },
	{ 0x4f6a616b, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8f1e530b, "sk_stream_error" },
	{ 0x912ce47d, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x4c5e1a5d, "sk_msg_memcopy_from_iter" },
	{ 0x8a564aff, "sk_error_report" },
	{ 0x58a06799, "register_pernet_subsys" },
	{ 0x2c60eeec, "put_cmsg" },
	{ 0xa91f1b1b, "__sk_flush_backlog" },
	{ 0xfa0199bc, "trace_event_buffer_commit" },
	{ 0xb769b4bb, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x3c60fc83, "sk_psock_tls_strp_read" },
	{ 0x340d9003, "sk_msg_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x821e0734, "__alloc_skb" },
	{ 0x359332be, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x12b8dcc2, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x2e0f5c4f, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc3c80a0f, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe0f6bfa1, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x2aa7f82c, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xe18dd049, "crypto_aead_encrypt" },
	{ 0xac93d346, "sk_skb_reason_drop" },
	{ 0x1ef60631, "bpf_trace_run5" },
	{ 0x78a7283e, "sk_free" },
	{ 0xdb904bd9, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xcfc77b7a, "__sk_mem_reclaim" },
	{ 0x63e21fab, "sk_stream_wait_memory" },
	{ 0xff182e8, "nla_put" },
	{ 0x37694731, "trace_event_reg" },
	{ 0x58dcc715, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x10f1f1eb, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xa0772998, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcdfdcbe0, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb24f4d8d, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x5b9fd5ef, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4685c0f4, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xe20b0642, "sock_efree" },
	{ 0xbaf4acfb, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb89bd2e5, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4bf578e4, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa64e3cc2, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x23a455, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xad83b175, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x6ddec7b6, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x42dc94ac, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x1ff2b200, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca7002e9, "skb_page_frag_refill" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xbed21eac, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x415f7226, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x949d8eab, "__folio_put" },
	{ 0x2148d75b, "remove_proc_entry" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfa4d887c, "seq_printf" },
	{ 0x10da16b4, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x74702b91, "skb_clone" },
	{ 0x14812469, "dst_release" },
	{ 0x3f30e428, "_copy_from_iter" },
	{ 0x6029a705, "skb_copy_header" },
	{ 0xcd7b81d0, "sk_msg_trim" },
	{ 0xfa1a3762, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x6d55b9cf, "netdev_sk_get_lowest_dev" },
	{ 0x34dcc47d, "sk_msg_alloc" },
	{ 0xdc1a253c, "_copy_from_iter_nocache" },
	{ 0xd589aac7, "tcp_rate_check_app_limited" },
	{ 0xe1febc54, "tcp_poll" },
	{ 0x37aae5cc, "iov_iter_revert" },
	{ 0x8baf154b, "sk_msg_zerocopy_from_iter" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x6bb78723, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xa3e28a5d, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0xfbe18fba, "tcp_read_done" },
	{ 0xba8627e6, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B90BAD305241EC2223188D");
MODULE_INFO(rhelversion, "10.0");
