#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xcf3339ee, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x227ccd4f, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x1c15ea8f, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xa869d96d, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x24eb51bf, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x1ccc1aa0, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x1968ce5c, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x8af8076b, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xea1485ba, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x814a01be, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x74b53e99, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x72da7d6b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xfbce6ae4, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x486f9829, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x0ceee0b8, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xeba52cdf, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xb61fc74a, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x6c0f1dbe, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x05c6591e, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xb494dd4c, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xd1545b53, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x6179ecb7, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x3d446390, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xff6a33bd, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x0f9ae64f, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x95eb60e6, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xbfe9fd65, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x4199c4e7, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xb83d71e5, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x830716e5, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x275f5efe, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xd306372b, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x5e178f7d, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xd79948a1, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xe7917d2e, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xb14087fc, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x552fd32c, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x974f4632, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x6e0cd96a, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xfbc04a3f, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x73c837db, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xc23f67d9, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x3f101bf8, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x274420d2, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x13776a6d, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x7329e39b, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xbb64fcb8, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x0fe58c7a, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xea3ef02a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x2a5d253c, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x4e926dc3, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x6c3b5bd4, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xa0c385ce, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xeff997a0, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x777e0e59, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xe66e970a, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xa8f4b5b7, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x4017fcde, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xee9ff7fc, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x8890d8c4, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x544e57ac, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xb1bbd382, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x703d3ae4, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x38d23591, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x94705df4, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x290e1c98, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x06d52bd5, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xfef49c98, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x7e922533, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xa2a979cb, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x87075b57, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xb13bc086, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xbc523977, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xb85330db, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xa0f9374a, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xb0e7e425, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xbc730fd9, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xb3cb5bde, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xb5c7bd1b, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x07b8d1a8, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x689363e4, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xc53ae822, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xd3f8a5a9, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x84ea0a3a, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x034d531c, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x6684884f, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xfe67fc30, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x49ce020b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x410b8cd1, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xf80b2329, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xc7f224c5, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x6c7cbbc1, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x355c94bb, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x4d8cbae3, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x3fbdb447, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xb1bf6a77, "");
SYMBOL_CRC(drm_fb_swab, 0x9241f74d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x3ce983f5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x2092ea36, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x90d2fe7e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x8c29eb4d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x68ab7ff8, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x787a17d8, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xe8c52a93, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xa6b435fa, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x9d43a3af, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x4351d004, "");
SYMBOL_CRC(drm_fb_blit, 0xbeabf7c3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x90393557, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x9580a0d3, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x047d3482, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xb26d50d5, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xc2daf678, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x1c800051, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x6063c856, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x2dc3ca70, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x2cb7701d, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xcd98bc35, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x0edc9c08, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x77671af5, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x625ef21b, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xb8ab54c9, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xebf5ec0f, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x6b3b0021, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xad8b7a4d, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xdaf8f723, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xa882ca6e, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x444a4b50, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x46d42525, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xf3c1e67d, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xf309c1d9, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xa50c6ec1, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x48c1f9fe, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x9c2a64d8, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xfc6cfb76, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xdf8dba43, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x063b5849, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x2ef4e4c2, "");
SYMBOL_CRC(drm_crtc_init, 0x8cbd1b18, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xaeb049c3, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xb8202541, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xa6e24c2e, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xe39f5191, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x2ffd3424, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x86c99d2b, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x6f3c89ae, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x8e01983a, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x52e4430a, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x323db3c4, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xf2158c6c, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xfa83ed1b, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x420d4b54, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x28b5fe8c, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xa5edde67, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x1c3d7844, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x9e06d428, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xd8909d45, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x6d362c41, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xbbceb7c9, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x5dbf3330, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xb1a2bd82, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x497dfba7, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x419865b5, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x74788d81, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x02ab020b, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xa599c109, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x9373393b, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xd19069b9, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x985bf4af, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xbe8dd381, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x1c0271cf, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x320b76c1, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x5bf0a366, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x0e9d34e5, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x7ac9c0c1, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xbd6c2c55, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x753dfb7a, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xba3c88ef, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xef1e7a00, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x5c353b95, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xa10b6572, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xadbfc836, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x66a0cca0, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xef406cb0, "");
SYMBOL_CRC(drm_fb_helper_init, 0xf6c2af0c, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xd17d353e, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xa01ce977, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x64d3c151, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x7036f69e, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x239adbe6, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xf27e8c88, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x14589083, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x7a10104a, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x5d5ac26a, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xe04b1f03, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xd76b6133, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x4be2fcc0, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x3d9012a7, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x39437bb3, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xc3b004dc, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x58aa2881, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x48995211, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x1232e901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f32f097, "unregister_framebuffer" },
	{ 0x6693658a, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x7bdcf6c, "drm_framebuffer_cleanup" },
	{ 0xa6bd9aa3, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x160d0fca, "drm_panel_get_modes" },
	{ 0x7f66f13c, "drm_gem_vmap_unlocked" },
	{ 0xd7a584f3, "try_module_get" },
	{ 0x2e046f49, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x285c30c3, "drm_bridge_add" },
	{ 0x4fd16da7, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0xe06016a5, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xffc9ea08, "devm_kmalloc" },
	{ 0x7a748e9f, "drm_client_rotation" },
	{ 0x8a867c48, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x1dda0576, "drm_framebuffer_init" },
	{ 0x75326700, "drm_mode_validate_driver" },
	{ 0x5466e333, "drm_atomic_add_affected_planes" },
	{ 0x4f3f5d5e, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x8203c893, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe8bdaacf, "drm_mode_probed_add" },
	{ 0x360d07a8, "drm_atomic_add_affected_connectors" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb4af42f0, "drm_gem_vunmap_unlocked" },
	{ 0xa02f974d, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1c778bd4, "drm_modeset_lock_all" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xc3be0039, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xe7e87c7e, "drm_mode_object_get" },
	{ 0xfd1179bd, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xcccb2c4f, "drm_driver_legacy_fb_format" },
	{ 0x3889650, "drm_crtc_cleanup" },
	{ 0x3e052e56, "drm_connector_list_iter_begin" },
	{ 0x63332181, "drm_mode_set_config_internal" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x322682b1, "framebuffer_alloc" },
	{ 0xda2ca597, "drm_encoder_cleanup" },
	{ 0x9a022bb8, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x6d4145de, "drm_client_modeset_probe" },
	{ 0x87281b95, "drm_warn_on_modeset_not_all_locked" },
	{ 0x5a2ddc03, "drm_plane_get_damage_clips" },
	{ 0x429b34e2, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x3a3e6788, "drm_add_modes_noedid" },
	{ 0x104f2782, "drm_bridge_remove" },
	{ 0xeca6bb8b, "drm_mode_object_put" },
	{ 0x9ef6a2e5, "dev_driver_string" },
	{ 0xcb82a634, "drm_crtc_vblank_get" },
	{ 0x2247635f, "drm_gem_object_lookup" },
	{ 0x638a4e1a, "drm_crtc_send_vblank_event" },
	{ 0x2878758e, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x1c8f4346, "drm_atomic_normalize_zpos" },
	{ 0xf318c733, "drm_edid_connector_update" },
	{ 0xa439b9aa, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x188f2fe1, "__drmm_add_action_or_reset" },
	{ 0xa2473638, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xd77233f5, "drm_connector_list_iter_end" },
	{ 0x8cac6061, "drm_atomic_set_crtc_for_plane" },
	{ 0xaf5c4944, "drm_client_modeset_dpms" },
	{ 0xa99fc043, "drm_mode_prune_invalid" },
	{ 0xf7dc0ec7, "drm_client_dev_hotplug" },
	{ 0x3786f076, "_dev_info" },
	{ 0x57422a3e, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x88225fa3, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xfff4d664, "module_put" },
	{ 0x26554aad, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xba734b59, "drm_atomic_get_crtc_state" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdf1c1fdd, "drm_client_init" },
	{ 0x209a1af3, "drm_crtc_wait_one_vblank" },
	{ 0xc8697f25, "drm_crtc_next_vblank_start" },
	{ 0xd50114ec, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xaa893e76, "drm_modeset_lock" },
	{ 0x330aedb1, "drm_client_modeset_commit_locked" },
	{ 0xa7a9bc1b, "drm_modeset_unlock" },
	{ 0xc0024cc0, "drm_panel_disable" },
	{ 0x28d0eb45, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5759c542, "drm_connector_init" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x59200a2d, "devm_kfree" },
	{ 0xa9338712, "_dev_err" },
	{ 0xf50ce550, "drm_writeback_cleanup_job" },
	{ 0xc61108b6, "drm_modeset_lock_all_ctx" },
	{ 0x5a1c8292, "i2c_unregister_device" },
	{ 0x720243f0, "drm_atomic_set_fb_for_plane" },
	{ 0x6c7aafd9, "__drm_universal_plane_alloc" },
	{ 0x96e65d2f, "drm_edid_connector_add_modes" },
	{ 0xb4964855, "drm_probe_ddc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4db9572a, "__devres_alloc_node" },
	{ 0x397affde, "drm_edid_read" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xa14e103a, "drm_crtc_commit_wait" },
	{ 0x2ecc497c, "drm_dev_has_vblank" },
	{ 0x39944342, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xb7090ddd, "__drm_atomic_helper_disable_plane" },
	{ 0x4972c9a5, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xec7795f1, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x131538ff, "drm_atomic_set_crtc_for_connector" },
	{ 0xab9c185a, "drm_analog_tv_mode" },
	{ 0x8551d66e, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x2daab78c, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8a7ef362, "drm_crtc_vblank_put" },
	{ 0x7e444d00, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x10a5b37a, "__drm_dev_dbg" },
	{ 0x1cc0c65, "drm_plane_get_damage_clips_count" },
	{ 0x39d31484, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x8da821f5, "drm_atomic_state_alloc" },
	{ 0x2511aa50, "drm_client_modeset_commit" },
	{ 0x109c4914, "_dev_warn" },
	{ 0xd615503a, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x38f74b9b, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x9dde5e31, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0x6cc1cd98, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xa671e73e, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xea111f38, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x3cec4782, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x350a5832, "drm_connector_cleanup" },
	{ 0x9556829e, "drm_get_format_info" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe6181071, "drm_universal_plane_init" },
	{ 0x5c309a7e, "drm_any_plane_has_format" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x6ff53655, "drm_connector_list_iter_next" },
	{ 0xfb402f4d, "drm_modeset_acquire_fini" },
	{ 0x24eae576, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x1b11a66, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeb59b42, "param_ops_bool" },
	{ 0xa4798d32, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x476fbd89, "drm_modeset_backoff" },
	{ 0x13c96a55, "drm_panel_prepare" },
	{ 0xeadebd3a, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xc37678ee, "drm_atomic_get_plane_state" },
	{ 0x24115440, "drm_atomic_bridge_chain_check" },
	{ 0xfc42d1dd, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfa162f41, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x46ba2e61, "drm_property_blob_put" },
	{ 0x27c9be1d, "drm_mode_destroy" },
	{ 0x225e8894, "drm_bridge_attach" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xe9ad97b5, "drm_set_preferred_mode" },
	{ 0xd5a8a63a, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x51e641b6, "drm_atomic_state_clear" },
	{ 0x413ddcd7, "drm_mode_config_reset" },
	{ 0x1e347c36, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xd2f6eb87, "drm_modeset_drop_locks" },
	{ 0x2cfc3735, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xdd6a6bd4, "drm_atomic_bridge_chain_disable" },
	{ 0x35c3dcb9, "drm_mode_create_from_cmdline_mode" },
	{ 0x20d3c7d2, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x61e62b19, "param_ops_int" },
	{ 0x9cd6fbbb, "drm_atomic_nonblocking_commit" },
	{ 0x5b1b5365, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0xd0bd525a, "drm_master_internal_release" },
	{ 0x4dcdb734, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x8cdc74fc, "drm_panel_unprepare" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x16f2d0f3, "drm_atomic_add_encoder_bridges" },
	{ 0xc47083a2, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d797b4d, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,i2c-core");


MODULE_INFO(srcversion, "DDB1410C4299DC58F432018");
MODULE_INFO(rhelversion, "10.0");
