#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xa22355f6, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x538a516c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29d0ddf, "bio_integrity_prep" },
	{ 0x69bcd917, "__blk_alloc_disk" },
	{ 0xc8cecd1e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xffc9ea08, "devm_kmalloc" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x5a23b4d9, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x13b3a14b, "devm_namespace_enable" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x5c797e36, "debugfs_create_u16" },
	{ 0xd7764068, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0xcc6e2965, "nd_btt_arena_is_valid" },
	{ 0x9a90b46a, "__dynamic_dev_dbg" },
	{ 0xed020726, "bio_end_io_acct_remapped" },
	{ 0x9ef6a2e5, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0xae583dec, "put_disk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x3f83b508, "debugfs_create_x64" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x746a68e6, "nd_dev_to_uuid" },
	{ 0x3786f076, "_dev_info" },
	{ 0xda751d7d, "bio_start_io_acct" },
	{ 0x800473f, "__cond_resched" },
	{ 0x65a89139, "bio_endio" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd979f83c, "nd_region_release_lane" },
	{ 0xa9338712, "_dev_err" },
	{ 0xc9f66e06, "set_capacity" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x96fb0443, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x378e8b20, "del_gendisk" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x9750ebd5, "to_nd_btt" },
	{ 0x434315fc, "nd_region_acquire_lane" },
	{ 0x109c4914, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x49b71165, "debugfs_create_u32" },
	{ 0x4fbd1dd2, "nvdimm_namespace_disk_name" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x93fcc9d7, "debugfs_create_x32" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x4d89d76c, "nvdimm_namespace_capacity" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec50d054, "nvdimm_check_and_set_ro" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x84084ad, "badblocks_check" },
	{ 0x146a112f, "nd_btt_version" },
	{ 0x5b1b5365, "debugfs_create_dir" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "C8B16B800406955726B5D68");
MODULE_INFO(rhelversion, "10.0");
