#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x4d4cbb11, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x0e8aab65, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x96aaf4db, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x8071bd64, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xaad5b8b9, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xd5ce9292, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xc1c7ac56, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xa44be16d, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xc61be363, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x2c0b65ba, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x53104f91, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x58a06799, "register_pernet_subsys" },
	{ 0x4685c0f4, "unregister_pernet_subsys" },
	{ 0x8607e9d6, "nf_register_net_hooks" },
	{ 0xfa4d887c, "seq_printf" },
	{ 0x155b2c9f, "seq_write" },
	{ 0xafbf2fff, "nf_unregister_net_hooks" },
	{ 0x2148d75b, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8867800, "security_skb_classify_flow" },
	{ 0x6c5b0346, "__nf_ip6_route" },
	{ 0xac93d346, "sk_skb_reason_drop" },
	{ 0xb32a9275, "xfrm_lookup" },
	{ 0x1620ce45, "ip6_local_out" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x84f06fad, "nf_ct_tmpl_alloc" },
	{ 0xf5626170, "nf_ct_ext_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xd36489e6, "proc_create_net_data" },
	{ 0x7bc518b7, "nf_ct_tmpl_free" },
	{ 0xe74c4084, "skb_ensure_writable" },
	{ 0x8888aaba, "inet_proto_csum_replace4" },
	{ 0x99a8a21, "skb_copy_bits" },
	{ 0x18eac72c, "ip_route_me_harder" },
	{ 0xa32a0471, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x821e0734, "__alloc_skb" },
	{ 0xfa5e7472, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0x52094679, "__cookie_v4_check" },
	{ 0xb89ff9c, "__cookie_v6_check" },
	{ 0x6d8703a6, "ipv6_skip_exthdr" },
	{ 0x52163bc3, "nf_ct_seqadj_init" },
	{ 0xa9577327, "consume_skb" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "280750995178B5F538FDBDA");
MODULE_INFO(rhelversion, "10.0");
