#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0xa4cd4278, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xed720e88, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0xb578848c, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x85889861, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x205f28ae, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xa549490c, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xb174259e, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x7f511c90, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xcebc7e82, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x63c93374, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xee13a4c9, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x19815e22, "");
SYMBOL_CRC(key_type_rxrpc, 0xcd9c10c4, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x02ce8072, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xa12b335d, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xcb0be653, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x465e8404, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x2108994f, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x01a01f5a, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xff716400, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xf88f3bad, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x9cd77c44, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xff914ec9, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x15bf34af, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x55432858, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc8cecd1e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd81b46df, "key_alloc" },
	{ 0xe2d69952, "bpf_trace_run4" },
	{ 0x99a8a21, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x7ac77d62, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa9577327, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74b3fb14, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x208d3666, "udp_sock_create4" },
	{ 0xb6860b9, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x7eb2842c, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xe6f20de1, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6150690a, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x22ac8cd0, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0xda2d8adf, "udpv6_sendmsg" },
	{ 0x96cc4aba, "unregister_key_type" },
	{ 0x136a43ae, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x3db24d37, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf69792ea, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd9752a70, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xb645c68e, "crypto_skcipher_setkey" },
	{ 0x3ceeb7b6, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8b1fcf7d, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x1108ec83, "register_key_type" },
	{ 0xd36489e6, "proc_create_net_data" },
	{ 0x2c60eeec, "put_cmsg" },
	{ 0x7d0f721a, "wake_up_process" },
	{ 0xfa0199bc, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x4ae59f5, "register_net_sysctl_sz" },
	{ 0xb769b4bb, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x3c817f69, "proto_unregister" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc86e6612, "ipv6_icmp_error" },
	{ 0xda6dd3b5, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf1c2c92f, "crypto_skcipher_decrypt" },
	{ 0x3fe7d319, "make_kuid" },
	{ 0x1b49d784, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0xf6bf5c50, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x1d85a737, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xcbc24fcd, "__sock_recv_timestamp" },
	{ 0x60a3e49d, "key_put" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe0f6bfa1, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x16c249da, "init_net" },
	{ 0x5d73b3e7, "skb_pull" },
	{ 0x44966029, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0xf00e2721, "sock_enable_timestamps" },
	{ 0xd850f5b6, "ip_sock_set_mtu_discover" },
	{ 0xac93d346, "sk_skb_reason_drop" },
	{ 0x81b433f2, "down" },
	{ 0x1ef60631, "bpf_trace_run5" },
	{ 0x78a7283e, "sk_free" },
	{ 0xeae642c, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{  0x33dfa, "kernel_sock_shutdown" },
	{ 0x9836c870, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8a370b46, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x37694731, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x58dcc715, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xb955d451, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xa0772998, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1d0f066f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb24f4d8d, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xc1129a79, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xeb85a460, "sk_alloc" },
	{ 0x5b9fd5ef, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xe151f7a6, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x393bdd16, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x975bb79e, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6ce11f29, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xde39b4ec, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x92bbc34d, "crypto_alloc_sync_skcipher" },
	{ 0x84f5bd21, "__kmem_cache_create_args" },
	{ 0x1aeab093, "setup_udp_tunnel_sock" },
	{ 0x7b34bb44, "proc_remove" },
	{ 0xcd12b91, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x62aa933d, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x42dc94ac, "bpf_trace_run3" },
	{ 0x5f9a35c5, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbed21eac, "trace_event_buffer_reserve" },
	{ 0xf829f912, "keyring_search" },
	{ 0x356c3361, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xded97c06, "request_key_tag" },
	{ 0xcd5eaa87, "generic_key_instantiate" },
	{ 0x155b2c9f, "seq_write" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0xf5c97d3f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xafb31f3, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa4d887c, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xe8993142, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x74702b91, "skb_clone" },
	{ 0x14812469, "dst_release" },
	{ 0x3f30e428, "_copy_from_iter" },
	{ 0x1d39be95, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x84cc67dc, "sock_no_ioctl" },
	{ 0xeddb19d7, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe13aa2fd, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3bf22aca, "bpf_trace_run7" },
	{ 0xa8814045, "ip_icmp_error" },
	{ 0x37aae5cc, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xd5bdfb4c, "kernel_sendmsg" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x6bb78723, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xa770733c, "register_pernet_device" },
	{ 0xc7d9ae, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xed79d51b, "sock_init_data" },
	{ 0x4f747c25, "kmalloc_caches" },
	{ 0x6549e984, "kmem_cache_destroy" },
	{ 0xba8627e6, "release_sock" },
	{ 0x4c36de99, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x35b0bd68, "proc_create_net_single_write" },
	{ 0x68b16231, "crypto_alloc_skcipher" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "9D1C99D784FBBD542A678A7");
MODULE_INFO(rhelversion, "10.0");
